Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl.binding.http
Interface HTTPFactory

    public interface HTTPFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `HTTPPackage`

Field Summary
`static HTTPFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`HTTPAddress` | `createHTTPAddress()` Returns a new object of class 'Address'
`HTTPBinding` | `createHTTPBinding()` Returns a new object of class 'Binding'
`HTTPOperation` | `createHTTPOperation()` Returns a new object of class 'Operation'
`HTTPUrlEncoded` | `createHTTPUrlEncoded()` Returns a new object of class 'Url Encoded'
`HTTPUrlReplacement` | `createHTTPUrlReplacement()` Returns a new object of class 'Url Replacement'
`HTTPPackage` | `getHTTPPackage()` Returns the package supported by this factory

Field Detail

### eINSTANCE

    static final HTTPFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createHTTPBinding

    HTTPBinding createHTTPBinding()

  Returns a new object of class 'Binding'.

  Returns:
    a new object of class 'Binding'.

### createHTTPOperation

    HTTPOperation createHTTPOperation()

  Returns a new object of class 'Operation'.

  Returns:
    a new object of class 'Operation'.

### createHTTPUrlReplacement

    HTTPUrlReplacement createHTTPUrlReplacement()

  Returns a new object of class 'Url Replacement'.

  Returns:
    a new object of class 'Url Replacement'.

### createHTTPUrlEncoded

    HTTPUrlEncoded createHTTPUrlEncoded()

  Returns a new object of class 'Url Encoded'.

  Returns:
    a new object of class 'Url Encoded'.

### createHTTPAddress

    HTTPAddress createHTTPAddress()

  Returns a new object of class 'Address'.

  Returns:
    a new object of class 'Address'.

### getHTTPPackage

    HTTPPackage getHTTPPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD